/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 24 April 2020, 11:12 AM
 */

#include "config_words.h"
//------------------------------------------------------------------------------
#define _XTAL_FREQ   4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "24LC256_EEPROM.h"
//------------------------------------------------------------------------------
unsigned int address[] = {0x26C0,0xFE45,0x662A,0x5B30,0xCC27,0x132D,0xAB13,0x83E2,0xD714,0x429A,0xEA23,0xC287,0x1134,0xAC56,0x34FF,0x821D};
char data[] = {0xC0,0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80,0x98,0x88,0x83,0xC6,0xA1,0x86,0x8E};
/*                0,   1,   2,   3,   4,   5,   6,   7,   8,   9,   A,   B,   C,   D,   E,   F */
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
   TRISD = 0x00;
   PORTD = data[0];
   EEPROM_init();
   
   for(int i = 0 ; i < 16 ; i++ )
   {
    EEPROM_write(address[i],data[i]);
   }
        
   while(1)
   { 
     for(int i=0 ; i < 16 ; i++)
     {
       PORTD = EEPROM_read(address[i]);
       __delay_ms(1000);
     }
   }
   
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------